• 技术文章 >后端开发 >PHP问题

    如何解决linux php版本不一致问题

    藏色散人藏色散人2021-04-02 17:48:41原创100

    linux php版本不一致的解决办法:首先查找php.ini,并查找一下系统里的PHP目录相关的东西;然后在环境变量里加上PHP的路径;最后在文档中添加“export PATH="/usr/local/php/bin:$PATH”即可。

    本文操作环境:Windows7系统、PHP7.1版,DELL G3电脑

    linux下,解决php -v与phpinfo版本不一致的问题

    先查找php.ini

    find / -name php.ini

    得出两个ini

    /usr/local/php/etc/php.ini
    /etc/php.ini
    php -i | grep php.ini

    查看PHP加载的是哪个配置文件,这个获取的是系统内的php.ini 的位置。不是网页apache加载的php.ini文件

    查找一下系统里的PHP目录相关的东西

    find / -name php

    这个好像是啊里云默认安装的PHP

    /usr/bin/php -v

    解决方法:删除

    /usr/bin/目录下的所有的PHP的东西

    再环境变量里加上要使用的PHP的路径

    vim /etc/profile

    在文档最后,添加:

    export PATH="/usr/local/php/bin:$PATH"

    保存,退出,然后运行:

    #source /etc/profile

    不报错则成功。

    【推荐学习:PHP视频教程

    以上就是如何解决linux php版本不一致问题的详细内容,更多请关注php中文网其它相关文章!

    声明:本文原创发布php中文网,转载请注明出处,感谢您的尊重!如有疑问,请联系admin@php.cn处理
    专题推荐:linux php
    上一篇:php怎么将含中文的日期转为时间戳 下一篇:php怎么删除txt里指定行
    第15期线上培训班

    相关文章推荐

    • 如何在PHP中获取一些特殊时间节点• php const和static变量的区别是什么• php怎么删除数组指定键名• php怎么将含中文的日期转为时间戳

    全部评论我要评论

  • 取消发布评论发送
  • 1/1

    PHP中文网